GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem Class Reference

## Public Member Functions
String | getReferenceNumber ()
void | setReferenceNumber (String value)
String | getCustomerReferenceNumber ()
void | setCustomerReferenceNumber (String value)
Date | getInitialDate ()
void | setInitialDate (Date value)
String | getStatus ()
void | setStatus (String value)

## Protected Attributes
String | referenceNumber
String | customerReferenceNumber
Date | initialDate
String | status

## Detailed Description

Unit item (a track list item)

Java class for UnitItem complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="UnitItem">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ReferenceNumber" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="CustomerReferenceNumber" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber"/>
            <element name="InitialDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
            <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file parcelshop/UnitItem.java.

## Member Function Documentation

## ◆ getCustomerReferenceNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.getCustomerReferenceNumber | ( |  | ) |

Gets the value of the customerReferenceNumber property.

Returns
  possible object is String

Definition at line 90 of file parcelshop/UnitItem.java.

## ◆ getInitialDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.getInitialDate | ( |  | ) |

Gets the value of the initialDate property.

Returns
  possible object is String

Definition at line 114 of file parcelshop/UnitItem.java.

## ◆ getReferenceNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.getReferenceNumber | ( |  | ) |

Gets the value of the referenceNumber property.

Returns
  possible object is String

Definition at line 66 of file parcelshop/UnitItem.java.

## ◆ getStatus()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.getStatus | ( |  | ) |

Gets the value of the status property.

Returns
  possible object is String

Definition at line 138 of file parcelshop/UnitItem.java.

## ◆ setCustomerReferenceNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.setCustomerReferenceNumber | ( | String | value | ) |

Sets the value of the customerReferenceNumber property.

Parameters

  value | allowed object is String

Definition at line 102 of file parcelshop/UnitItem.java.

## ◆ setInitialDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.setInitialDate | ( | Date | value | ) |

Sets the value of the initialDate property.

Parameters

  value | allowed object is String

Definition at line 126 of file parcelshop/UnitItem.java.

## ◆ setReferenceNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.setReferenceNumber | ( | String | value | ) |

Sets the value of the referenceNumber property.

Parameters

  value | allowed object is String

Definition at line 78 of file parcelshop/UnitItem.java.

## ◆ setStatus()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.setStatus | ( | String | value | ) |

Sets the value of the status property.

Parameters

  value | allowed object is String

Definition at line 150 of file parcelshop/UnitItem.java.

## Member Data Documentation

## ◆ customerReferenceNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.customerReferenceNumber
| protected

Definition at line 50 of file parcelshop/UnitItem.java.

## ◆ initialDate

Date eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.initialDate
| protected

Definition at line 54 of file parcelshop/UnitItem.java.

## ◆ referenceNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.referenceNumber
| protected

Definition at line 48 of file parcelshop/UnitItem.java.

## ◆ status

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.UnitItem.status
| protected

Definition at line 56 of file parcelshop/UnitItem.java.

The documentation for this class was generated from the following file:

- parcelshop/UnitItem.java